### Method

# Gtk StringList take

#### Declaration [src]

    void
    gtk_string_list_take (
      GtkStringList* self,
      char* string
    )

#### Description [src]

Adds `string` to self at the end, and takes ownership of it.

This variant of gtk_string_list_append() is convenient for formatting strings:

`c gtk_string_list_take (self, g_strdup_print ("%d dollars", lots));`.

#### Parameters

`string` | `char*`
| The string to insert.
| The instance takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.